package io.gmss.fiscad.interfaces.rfu.metier;

import io.gmss.fiscad.entities.rfu.metier.CaracteristiqueBatiment;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface CaracteristiqueBatimentService {

    CaracteristiqueBatiment createCaracteristiqueBatiment(CaracteristiqueBatiment caracteristiqueBatiment) throws BadRequestException;

    CaracteristiqueBatiment updateCaracteristiqueBatiment(Long id, CaracteristiqueBatiment caracteristiqueBatiment) throws NotFoundException;

    void deleteCaracteristiqueBatiment(Long id) throws NotFoundException;

    Page<CaracteristiqueBatiment> getCaracteristiqueBatimentList(Pageable pageable);

    List<CaracteristiqueBatiment> getCaracteristiqueBatimentList();

    Optional<CaracteristiqueBatiment> getCaracteristiqueBatimentById(Long id);
}
